libonig (6.9.1-1+dilos2) unstable; urgency=medium

  * Build for DilOS.

 -- DilOS Team <dilos@dilos.org>  Mon, 15 Feb 2021 12:46:51 +0300

libonig (6.9.1-1) unstable; urgency=medium

  * New upstream release:
    - Refresh symbols file.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 21 Dec 2018 14:09:48 +0100

libonig (6.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * debian/control:
    - Change VCS-* to point to the new repository.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 06 Sep 2018 07:14:48 +0200

libonig (6.8.2-1) unstable; urgency=medium

  * New upstream release (Closes: #897250).
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.1.4 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 04 May 2018 18:41:47 +0200

libonig (6.8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 01 May 2018 09:45:05 +0200

libonig (6.8.1-1) experimental; urgency=medium

  * New upstream release.
    - Refresh symbols file.
    - Refresh debian/copyright.
  * Rename libonig4 to libonig5.
    - debian/control:
      + Rename binaray package.
      + Set Depends to libonig5.
    - Rename debian/libonig4* to debian/libonig5*
    - debian/rules:
      + Rename liboing4 to libonig5.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * Declare compliance with Debian Policy 4.1.3 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 21 Mar 2018 19:56:23 +0100

libonig (6.7.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Change to my new email address:
    - debian/control
    - debian/copyright
  * debian/changelog:
    - Remove trailing whitespaces.
  * Declare compliance with Debian Policy 4.1.2.0. (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 14 Dec 2017 17:26:05 +0100

libonig (6.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.1.0.0. (No changes needed).
  * Remove missing README.ja from debian/libonig-dev.docs and
    debian/libonig-dev.doc-base.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 01 Sep 2017 19:57:42 +0200

libonig (6.5.0-1) unstable; urgency=medium

  * New upstream release.
    + Refresh symbols file.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 06 Aug 2017 19:31:50 +0200

libonig (6.4.0-1) unstable; urgency=medium

  * New upstream release.
    + Refresh symbols file.
  * Remove not longer needed patches.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 23 Jul 2017 11:51:31 +0200

libonig (6.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Update symbols file.
    - Refresh patches.
  * Drop dh-autoreconf from both build-depends and dh --with arguments.
    because this is all defaults when using dh compat 10.
  * debian/copyright: Add year 2017.
  * Remove upstream applied debian/patches/0500-CVE-2017-922[4-9].patch.
  * Use the automatic debug symbol packages:
    - Remove libonig4-dbg section from debian/control.
    - Remove override_dh_strip from debian/rules.
  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 25 Jun 2017 09:55:31 +0200

libonig (6.1.3-2) unstable; urgency=high

  * New debian/patches/0500-CVE-2017-922[4-9].patch:
    - Cherrypicked from upstream to correct:
      + CVE-2017-9224 (Closes: #863312)
      + CVE-2017-9225 (Closes: #863313)
      + CVE-2017-9226 (Closes: #863314)
      + CVE-2017-9227 (Closes: #863315)
      + CVE-2017-9228 (Closes: #863316)
      + CVE-2017-9229 (Closes: #863318)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 27 May 2017 12:05:50 +0200

libonig (6.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 15 Dec 2016 09:23:30 +0100

libonig (6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump debhelper B-D minimum version to 10.
  * New debian/patches/0100-source_typos.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 09 Nov 2016 23:16:44 +0100

libonig (6.1.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 04 Sep 2016 21:26:20 +0200

libonig (6.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 03 Sep 2016 02:42:58 +0200

libonig (6.1.0-1) experimental; urgency=medium

  * New upstream release.
    - NEW API: onig_scan().
  * debian/control:
    - To match with the soname rename packages from liboing3 to libonig4.
  * debian/rules:
    - Rename liboing3 to libonig4.
  * Renew debian/symbols.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 31 Aug 2016 04:18:16 +0200

libonig (6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove dpkg from libonig2-dbg Pre-Depends because redundance
      with ${misc:Pre-Depends}.
    - Replace homepage to the new loacation.
    - To match with the soname rename packages from liboing2 to libonig3.
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-* to secure URIs.
  * debian/rules:
    - Rename liboing2 to libonig3.
  * debian/watch:
    - Move to github.
    - Bump version to 4 (no changes required).
  * debian/copyright:
    - Replace homepage and upstream mail address.
    - Add year 2016.
  * Remove the not Multi-Arch conform file /usr/bin/onig-config and
    the man page.
  * Remove now useless debian/libonig3-dbg.maintscript.
  * Set compat level to 10.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 14 May 2016 17:53:39 +0200

libonig (5.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/001-changes_build_sys.diff.
  * Refresh debian/symbols.
  * debian/rules:
    - rewrite override_dh_strip.
    - Add dpkg-gensymbols to generate symbol file(s)
      on every build.
  * debian/copyright:
    Add year 2015 to my entry at debian/*.
  * debian/control:
    - Remove useless Depends ${shlibs:Depends} from libonig2-dbg
      and libonig-dev
    - Add dpkg and ${misc:Pre-Depends} to Depends of libonig2-dbg
      to prevent error on upgrade wheezy to jessie (Closes: #769556).
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add Vcs-* fields pointed to alioth.
    - Remove deprecated hardening-wrapper from Build-Depends
      (Closes: #774485).
    - Rewrite Descriptions (Closes: #774520).
  * debian/*.postrm, debian/*.postinst, debian/*.preinst:
    - Delete them and move the dpkg-maintscript-helper to
      debian/libonig2-dbg.maintscript.
  * New debian/libonig2-dbg.maintscript:
    - Add symlink_to_dir calls.
    - Change version in calls of symlink_to_dir to 5.9.6-1~.
  * Add Vcs
  * Add missing MNU changelog entries. Both don't provide a patch with
    the changes and the first one causes a new RC-Bug.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 05 Jan 2015 10:49:52 +0100

libonig (5.9.5-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix version for calls to dpkg-maintscript-helper symlink_to_dir.
    (closes: #769556).

 -- Ivo De Decker <ivodd@debian.org>  Sun, 28 Dec 2014 12:11:12 +0100

libonig (5.9.5-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add missing pre-dependency on dpkg for dpkg-maintscript-helper
    symlink_to_dir (closes: #769556).

 -- Julien Cristau <jcristau@debian.org>  Sat, 15 Nov 2014 11:53:45 +0100

libonig (5.9.5-3) unstable; urgency=medium

  * Add debian/libonig2-dbg.(preinst|postinst|postrm) to prevent
    error on upgrade wheezy to jessie. (Closes: #768267)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 06 Nov 2014 21:32:20 +0100

libonig (5.9.5-2) unstable; urgency=medium

  * rename debian/*.doc-base
  * add html files to doc
  * change debian/rules for hardening
  * remove Multi-Arch from libonig-dev (Closes: #747897)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 13 May 2014 10:25:38 +0200

libonig (5.9.5-1) unstable; urgency=medium

  * remove *.so.* files from libonig2-dbg
    (same files as in libonig2)
  * add debian/libonig-dev.doc-base
  * add debian/symbols
  * rewrite debian/copyright
  * rewrite debian/rules (Closes: #645940)
  * patch buildsystem (Closes: #734683)
  * change lib version to 2.1.0
  * Bump compat to 9
  * Update to upstream version 5.9.5 (Closes: #661616)
  * Bump Standarts to 3.9.5
  * New Maintainer (Closes: #747187)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 07 May 2014 16:39:54 +0200

libonig (5.9.1-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
  * acknowledge NMU, thanks Laurent (closes: #426355)
  * run test suite after build
  * added watch file
  * bumped Standards-Version to 3.7.3
  * added homepage header to debian/control
  * priority "extra"

 -- Alexander Wirt <formorer@debian.org>  Mon, 07 Jan 2008 11:46:27 +0100

libonig (5.9.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #426355)
  * debian/control:
    - Use binary:Version instead of Source-Version
  * debian/rules:
    - Don't hide make distclean error
    - Fix copy of config.{sub,guess}
    - Remove deprecated DH_COMPAT and use compat file instead

 -- Laurent Bigonville <bigon@bigon.be>  Sat, 04 Aug 2007 15:07:34 +0200

libonig (5.5.2-1) unstable; urgency=low

  * new upstream release

 -- Max Kellermann <max@duempel.org>  Wed, 14 Feb 2007 23:12:29 +0100

libonig (5.5.0-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
  * update config.{sub,guess} in debian/rules
  * removed libonig.la

 -- Alexander Wirt <formorer@debian.org>  Wed,  6 Dec 2006 20:51:10 +0100

libonig (5.2.0-1) unstable; urgency=low

  * new upstream release
  * updated copyright file since license has been changed to BSD

 -- Max Kellermann <max@duempel.org>  Wed, 15 Nov 2006 09:32:24 +0100

libonig (4.4.4-1) unstable; urgency=low

  * initial debian release (Closes: #388412)

 -- Max Kellermann <max@duempel.org>  Wed, 20 Sep 2006 12:17:40 +0200
